﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Microsoft.Win32;

namespace Seminar05_Mo
{
    /// <summary>
    /// Interaktionslogik für MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
        }

        OpenFileDialog ofd = new OpenFileDialog();
        List<Datenreihe> datenreihen = new List<Datenreihe>();
        private void button1_Click(object sender, RoutedEventArgs e)
        {
            if (ofd.ShowDialog() == true)
            {
                datenreihen.Add(new Datenreihe(ofd.FileName));

                double maxX = datenreihen.Max(d => d.Xmax);
                double minX = datenreihen.Min(d => d.Xmin);
                double maxY = datenreihen.Max(d => d.Ymax);
                double minY = datenreihen.Min(d => d.Ymin);

                canvasGraph.Children.Clear();
                foreach (var d in datenreihen)
                {
                    d.Draw(canvasGraph, maxX, minX, maxY, minY);
                }             
            }
        }
    }
}
